game-data-packager (87) unstable; urgency=medium

  * New versions:
    - doom3: Support the GOG releases, both "Classic" and BFG Edition
      [Adam Robinson]
    - quake2: Detect the GOG release [Adam Robinson]
    - quake4: Support the GOG release [Adam Robinson]
    - ut99: Update to 469e [Sébastien Noel, Simon McVittie]
  * Enhancements and bug fixes:
    - launcher: Add missing mappings from language code to its name for
      English (UK), Hebrew, Japanese, Korean and Portuguese (Brazil),
      needed for discworld2, flight-of-the-amazon-queen, arx-fatalis, etqw
      and grimfandango respectively (Closes: #1119924) [Simon McVittie]
    - heavy-gear2: add a music package, ripping audio from the CD
      [Sébastien Noel]
    - keen6: Add support for v1.5 [Sébastien Noel]
    - rott: Prefer the taradino engine [Simon McVittie]
    - various games: Use alternatives to ftp.3drealms.com [Sébastien Noel]
    - various games: Fix GOG URLs [Adam Robinson]
    - build: Fix spurious warnings "x should have provided y but did not"
      [Simon McVittie]
  * Internal changes:
    - runtime: fix "DeprecationWarning: Gtk.Widget.show is deprecated"
      [Alexandre Detiste]
    - Start adding test coverage for parts of gdp-launcher [Simon McVittie]

 -- Simon McVittie <smcv@debian.org>  Wed, 24 Dec 2025 16:44:14 +0000

game-data-packager (86) unstable; urgency=medium

  * New games:
    - Diablo, for use with the devolutionx engine [Sébastien Noel]
  * New versions:
    - doom: Sigil 1.23 [Sébastien Noel]
  * Enhancements and bug fixes:
    - caesar3: Mark German version as missing [Alexandre Detiste]
    - civctp: Configure sdl12-compat to list common full-screen video modes
      as windowed modes, if sufficiently new (currently only 1.2.69 git
      snapshots implement this) [Sébastien Noel]
    - hhgg: Download from Zarf's archive instead of douglasadams.com
      (Closes: #1114590)
    - larry7: Fix an incorrect file list [Alexandre Detiste]
    - postal1: Add support for Postal 1 to the launcher [Sébastien Noel]
    - postal1: Don't install POSTAL.INI [Sébastien Noel]
    - quake2: Stop building native-code game modules for official mission
      packs; these are included in yamagi-quake2{,-core} since Debian 13
      and Ubuntu 24.04 [Simon McVittie]
    - quake3: Add compatibility with newer ioquake3 engines, which migrate
      from ~/.q3a to ~/.config/Quake3, ~/.local/share/Quake3,
      ~/.local/state/Quake3. The demo still uses ~/.q3ademo. [Simon McVittie]
    - Tag some games with their genre [Sébastien Noel]
    - make-template: fix output if a file is named with trailing space
      [Sébastien Noel]
    - Set environment variables to stop Inkscape's dependencies from
      connecting to D-Bus in the upstream build system, not just the
      Debian packaging [Simon McVittie]
  * Debian packaging:
    - Centralize i386 audio Recommends into game-data-packager-runtime-libs,
      and make all i386 binary-only games depend on it [Simon McVittie]
    - Suggest nvidia-driver-libs:i386 for i386 binary-only games
      [Simon McVittie]
    - Drop "Rules-Requires-Root: no" which is the default since Debian 13
      [Alexandre Detiste]
  * Internal changes:
    - Re-enable piuparts on Salsa-CI [Sébastien Noel]
    - launcher: Replace 'fake_cdrom_path' with a generic 'extra_env' dict
      [Sébastien Noel]
    - REUSE: convert to current format [Simon McVittie]
    - build: Require Meson 1.7.0 (Debian 13) [Simon McVittie]

 -- Simon McVittie <smcv@debian.org>  Wed, 29 Oct 2025 09:54:39 +0000

game-data-packager (85.1) unstable; urgency=medium

  * Bug fixes:
    - runtime: Ensure that the installation directory is present in
      sys.path (Closes: #1096186) [smcv]
    - Never unpack the same entry from a stream more than once
      (Closes: #1052371) [smcv]
    - When unpacking a stream, ignore wanted files we already found [smcv]
    - When unpacking a stream, don't remove from the list of files we
      expect to find until after we have checked their content [smcv]
    - When unpacking a stream, make sure each unpacked file gets a unique
      temporary name [smcv]
    - Adjust a generated Lintian override to accommodate both old and new
      syntaxes [smcv]
  * Internal changes:
    - Add a regression test for #1052371 [smcv]

 -- Simon McVittie <smcv@debian.org>  Sat, 03 May 2025 16:43:46 +0100

game-data-packager (85) unstable; urgency=medium

  * New versions:
    - mohaa: add GOG installer files [Sébastien Noel]
  * Debian packaging:
    - Don't provide a D-Bus session bus to run Inkscape, avoiding a crash
      with an uncaught Gio::DBus::Error (Closes: #1102099) [Santiago Vila]
    - Set environment variables to stop Inkscape's dependencies from
      connecting to D-Bus [smcv]
    - Drop build-dependency on dbus-daemon, no longer needed [smcv]
    - Wrap the build with xvfb-run, because Inkscape now expects an X11 or
      Wayland display even when running non-interactively [smcv]
    - Standards-Version: 4.7.2 (no changes required) [smcv]
    - Apply full compiler hardening [smcv]

 -- Simon McVittie <smcv@debian.org>  Sun, 06 Apr 2025 14:21:55 +0100

game-data-packager (84) unstable; urgency=medium

  * Bug fixes:
    - civctp: Fix the build [Sébastien Noel]
    - rune, smac, soldier-of-fortune:
      Improve packaging structure and generated dependencies on
      .deb-based distributions [Sébastien Noel, smcv]
      + The rune and soldier-of-fortune metapackages are now
        Architecture: i386, matching the proprietary binaries they need
      + The smac metapackage is still Architecture: all so that its Python
        dependencies can work, but it depends on the i386-only smac-bin
        package in a more robust way
    - smac: Generate appropriate dependencies on Arch and Fedora [smcv]
  * Debian packaging:
    - Re-upload to unstable after NEW processing [smcv]

 -- Simon McVittie <smcv@debian.org>  Wed, 12 Feb 2025 14:46:50 +0000

game-data-packager (83) experimental; urgency=medium

  * Internal changes:
    - Build binary-compatibility shims for older binary-only games
      as part of this source package (the lokishim/ directory),
      instead of building them when affected game data is packaged.
      This makes it easier to detect and fix bugs in the shim code,
      for example when it fails to compile with an updated compiler.
      [Sébastien Noel]
    - lokishim: Silence compiler warnings for unused arguments [smcv]
    - build: Only require a C compiler when actually building shims [smcv]
    - doc/adding_a_game.mdwn: Describe how developers can build for i386
      on Debian amd64 without always needing to go through the packaging
      workflow [smcv]
  * Debian packaging:
    - d/control: Add a game-data-packager-libs binary package for the
      binary-compatibility shims. This is currently i386-only, but is
      structured so that it could become Multi-Arch: same if we find
      that similar binary-compatibility shims are required for amd64
      games in future. [Sébastien Noel]
    - d/copyright.in: Update [smcv]
    - d/control: Fix a typo detected by Lintian [smcv]
    - d/g-d-p.lintian-overrides: Silence a Lintian false positive [smcv]
    - Release to experimental for NEW processing [smcv]

 -- Simon McVittie <smcv@debian.org>  Sun, 09 Feb 2025 15:11:18 +0000

game-data-packager (82) unstable; urgency=medium

  * New versions:
    - hexen2: add music packages (CD & GOG.com rip) [Sébastien Noel]
    - icewind-dale-1: add French version [Sébastien Noel]
    - unreal: Add authorized ISO images from the Internet Archive.
      These make our Unreal Classic and Unreal Gold packages fully
      free-to-download (but redistribution is still not allowed). [smcv]
    - ut99: Add details of authorized UT:GOTY ISO image from the
      Internet Archive. Unfortunately we can't currently build packages
      from this, because the maps use proprietary compression. [smcv]
  * Bug fixes:
    - civctp, kohan, smac: Make lokishim compile successfully with
      gcc 14 [Sébastien Noel]
    - hexen2: use latest game-data (1.29b) from the uHexen2 project,
      earlier versions are gone [Sébastien Noel] (Closes: #1090800)
    - railroad-tycoon2: fix checksum for a file from an undamaged
      original cd [Sébastien Noel]
    - unreal: Fix building packages without the Return to Na Pali addon
      [smcv]
    - unreal: Deduplicate Textures/MenuGr.utx into unreal-data [smcv]
  * Debian packaging:
    - d/control: update list of supported games [Sébastien Noel]

 -- Simon McVittie <smcv@debian.org>  Sun, 09 Feb 2025 12:39:51 +0000

game-data-packager (81) unstable; urgency=medium

  * New games:
    - Postal [Sébastien Noel]
    - Prey (2006) [Sébastien Noel]
    - The Settlers II [adetiste]
    - Thimbleweed Park [Sébastien Noel]
  * Bug fixes:
    - packaging.deb: Systematic support for all dpkg architectures [smcv]
    - civctp: fix Categories and Keywords in desktop file [Sébastien Noel]
  * Launcher:
    - add support for the MOHAA dedicated server [Sébastien Noel]
    - add support for RBDOOM-3-BFG [Sébastien Noel]
  * Debian packaging:
    - d/salsa-ci.yml:
      + Update to the salsa-ci-team's current recommendation [smcv]
      + Disable piuparts, not reliable for contrib packages [Sébastien Noel]

 -- Simon McVittie <smcv@debian.org>  Tue, 14 Jan 2025 22:28:02 +0000

game-data-packager (80) unstable; urgency=medium

  * New games:
    - Medal of Honor: Allied Assault [Sébastien Noel]
  * New expansions:
    - Doom 1: SIGIL II, a new episode by Romero [Sébastien Noel]
  * New versions:
    - ut2004: Add another variant of Manual.pdf [smcv]
  * Bug fixes:
    - launcher: Don't reorder arguments [Sébastien Noel]
    - Doom 1: merge data and music for Sigil 1 packages [Sébastien Noel]
    - descent3: drop old binary-only Loki port, the engine is now free
      under GPL-3+ [Sébastien Noel]
    - quake3: Automatically unpack Team Arena patches from patch tarball,
      fixing a regression in v77 [smcv]
  * Debian packaging:
    - Standards-Version: 4.7.0 (no changes required) [smcv]

 -- Simon McVittie <smcv@debian.org>  Sat, 21 Sep 2024 18:31:47 +0100

game-data-packager (79) unstable; urgency=medium

  * New games:
    - Heavy Gear II (i386 binary-only) [Sébastien Noel]
    - Homeworld [Sébastien Noel]
    - SimCity 3000 (i386 binary-only) [Sébastien Noel]
  * New versions:
    - Heroes of Might and Magic 3: Handle latest GOG releases
      [Sébastien Noel]
  * Bug fixes:
    - Commander Keen series: Include original executables [Sébastien Noel]
    - Morrowind: Install Morrowind.esm correctly [Plasma (David Paul)]
      (Closes: #1073972)
    - Return to Castle Wolfenstein: Update to iortcw 1.51c, cleaning up
      dead download links in the process [Dmitry Baryshkov]
    - Unreal: Clean up dead download links [smcv]
    - Unreal: Account for variation between GOG and Steam [smcv]
  * Debian packaging:
    - Remove /etc/game-data-packager/oldunreal-mirrors on upgrade,
      no longer useful [smcv]
  * Internal changes:
    - Fix various mypy warnings [smcv]

 -- Simon McVittie <smcv@debian.org>  Sun, 04 Aug 2024 15:48:42 +0100

game-data-packager (78) unstable; urgency=medium

  * New games:
    - Rune (i386 binary-only) [Sébastien Noel]
    - Soldier of Fortune (i386 binary-only) [Sébastien Noel]
  * New versions:
    - Heroes of Might and Magic 2: Handle FLAC music archive provided
      by GOG, fix incorrect video filenames in Windows version, and
      ignore unneeded OGG music tracks [Anatoliy Gunya]
  * Bug fixes:
    - Heretic, Hexen: Improve extraction of icons [fabian]
    - On .deb-based systems, allow libsmpeg-0.4.so.0 to be provided by
      either libsmpeg0t64 (Debian 13, Ubuntu 24.04) or libsmpeg0
      (Debian 12, Ubuntu 22.04) [smcv]
    - Steam integration: Find Steam username for steamcmd in the
      location used by steam-installer [adetiste]
    - Fix spelling [adetiste]
  * Debian packaging:
    - Switch quake4 dependency from libasound2 to libasound2t64
      (Closes: #1070016) [smcv]

 -- Simon McVittie <smcv@debian.org>  Fri, 03 May 2024 10:29:21 +0100

game-data-packager (77) unstable; urgency=medium

  * New features:
    - extract the bundled icon from GOG games [Sébastien Noel]
      (Closes: #1051856)
    - optionally download an icon from the scummvm-icons repository
      for ScummVM games [Sébastien Noel]
    - use configurable mirrors for old Loki games [Sébastien Noel]
  * New games:
    - Alex4: this game was first thought to be GPL licensed and wholly
      packaged as such in Debian; but in fact it's only the engine part,
      and the data is merely "freeware" (see #1035043) [adetiste]
    - Civilization: Call to Power [Sébastien Noel]
    - Detective Gallo [Dennis Menschel]
    - Descent 3 [Sébastien Noel]
    - Flashback [adetiste]
    - Heretic 2 [Sébastien Noel]
    - Kohan: Immortal Sovereigns [Sébastien Noel]
    - Pushover [adetiste]
    - Railroad Tycoon 2 [Sébastien Noel]
    - Roller Coaster Tycoon 2 (and 1) [Mathias Gibbens]
    - Sid Meier's Alpha Centauri [Sébastien Noel]
    - Tomb Raider 1 [adetiste]
    - Unreal Tournament 2004 [Sébastien Noel]
  * New versions:
    - Dark Forces: add French version [Sébastien Noel]
    - Doom3: add 'Classic Doom' & 'The Lost Mission' expansions
      [Sébastien Noel]
    - Freespace 2: add support for the "fsport" mod, notably the ability
      to play Freespace 1 missions [Sébastien Noel]
    - Indiana Jones and the Fate of Atlantis,
      Indiana Jones and the Last Crusade:
      add support for latest GOG releases [Mathias Gibbens]
    - Jazz Jackrabbit: add support for new GOG.com archive [fabian]
      (Closes: #1055088)
    - Loom: add support for CD version [Sébastien Noel]
    - Quake2: add support for "Zaero" mission pack (Closes: #800503)
      [Sébastien Noel]
    - Return To Zork: add support for CD version [Sébastien Noel]
    - Unreal Tournament (1999): update to version 469d [Sébastien Noel]
    - The Secret of Monkey Island, Indiana Jones and the Last Crusade:
      add English EGA floppy version [Mathias Gibbens]
  * Bug fixes:
    - fix TypeError when gdp prints warnings [Anatoliy Gunya]
    - fix html docs file names in quake2-groundzero-data [Anatoliy Gunya]
    - fix Readme.html path in Quake 3 documentation [Anatoliy Gunya]
    - fix broken symlinks in quake3-team-arena-data [Anatoliy Gunya]
    - ScummVM games: fix many game IDs [Sébastien Noel, adetiste]
      (Closes: #1059449)
    - ScummVM games: remove versioned dependencies on ancient ScummVM 1.x
      [adetiste]
    - fix unbuildable "Little Big Adventure" package [Sébastien Noel]
    - ScummVM games and Doom 3: move desktop files for mods from the
      plugin to gdp-runtime, so that bugs in the .desktop files can
      be fixed without rebuilding the non-distributable packages
      [Sébastien Noel]
    - Heretic, Hexen, Strife: fix invalid Breaks in packages generated with
      v76 [Sébastien Noel]
    - Hexen: extract a better icon [smcv]
    - correct data_type for various packages that contain
      executables [Sébastien Noel]
  * Debian packaging:
    - add a Doom mini-policy [Sébastien Noel]
    - transition from p7zip-full to 7zip (Closes: #1063580) [adetiste]
    - Replace Suggests: steam with steam-installer|steam-launcher [smcv]
  * Internal changes:
    - d/rules: trim using new execute_after_* syntax [adetiste]
    - add more type annotations to Python code [adetiste]
    - add an optional minimal pre-commit hook [adetiste]
    - gdp_launcher_base: use os.EX_* instead of magic numbers [adetiste]
    - doom_common: remove prboom-plus on Debian and add crispy-doom
      as alternative engine on some expansions. [Sébastien Noel]
    - add support for symlinks with offset to CD ripping code
      [Sébastien Noel]
    - increase a test timeout [adetiste]
    - gdp.version: Get the version number from meson.build if possible [smcv]
    - tests: Assert version is consistent in meson.build and debian/ [smcv]

 -- Simon McVittie <smcv@debian.org>  Sat, 24 Feb 2024 15:34:18 +0000

game-data-packager (76) unstable; urgency=medium

  * New games:
    - Aliens Versus Predator [Sébastien Noel]
    - Caesar III (Closes: #806989) [Vincent Pelletier, Sébastien Noel]
    - Ion Fury (Closes: #1040059) [Konstantin Korshunov]
    - Redneck Rampage (Closes: #787236) [adetiste]
    - Shadow Warrior [Sébastien Noel]
    - Star Wars: Dark Forces [Sébastien Noel]
  * New versions:
    - Atlantis: add an alternative French version [Sébastien Noel]
    - Duke Nukem 1: add registered episodes 2 and 3 [adetiste]
    - Freespace 2: Add support for latest GOG release, and also allow build
      from the old 3 CD set [Sébastien Noel]
    - Sam and Max: Add de, es, fr, it translations [Vincent Pelletier]
    - Shivah: support both "Classic" and "Kosher" editions
      [Vincent Pelletier]
    - A Golden Wake, Blackwell series, Broken Sword 2, Gemini Rue,
      Indiana Jones and the Fate of Atlantis,
      Indiana Jones and the Last Crusade, Myst, Myst 3, Primordia,
      Resonance, Riven, Sam and Max, The Longest Journey,
      Wolfenstein 3D, Wolfenstein: Enemy Territory:
      Add support for latest GOG releases
      (Closes: #1045356) [Vincent Pelletier]
  * Bug fixes:
    - Broken Sword 1: Fix compatibility with scummvm >= 2.7.0
      [Vincent Pelletier]
    - Broken Sword 1: Do not create launchers for music packages
      [Vincent Pelletier]
    - Compet-N Doom: adjust for new DSDA download locations [fabian]
    - Compet-N Doom: Do not prepend "Doom: Compet-N" in desktop files
      for better usability (Closes: #1049997) [adetiste]
    - Doom-based games: fix compatibility with python3-pil 10.0
      [Sébastien Noel]
    - check_gog: Skip games with no installer, without error
      [Vincent Pelletier]
    - tests: Extend timeout for download_shareware test [smcv]
  * Internal changes:
    - The Dig: Tag as being available from GOG [Vincent Pelletier]
    - tools/stats.py: Add support for "section: doc" packages
      [Vincent Pelletier]
    - make_template: Always use ffmpeg, removing avconv alternative
      [adetiste]
    - Doom 2 Master Levels: replace deprecated Gtk.TreeView by Gtk.ColumnView
      (Closes: #1043600), silence a warning with Gtk 4.12 [Sébastien Noel]
    - Add type annotations to Python code [adetiste, smcv]
    - Reformat the code in PEP8 style [smcv]
    - build: Remove compatibility with old versions of meson [smcv]
    - tests: Add a lint check that runs pycodestyle [smcv]
    - debian: Don't build-depend on pyflakes [smcv]

 -- Simon McVittie <smcv@debian.org>  Tue, 12 Sep 2023 15:11:55 +0100

game-data-packager (75) unstable; urgency=medium

  * Bug fixes:
    - etqw: Rename etqw-dedicated launcher to avoid colliding with etqw-bin
      (Closes: #1039013) [smcv]
    - etqw, quake4: Add Recommends on the necessary packages for audio via
      Pulseaudio or Pipewire (mitigates: #1039012) [smcv]
  * Internal changes:
    - Set up infrastructure to use game-data-packager's launcher for
      Return to Castle Wolfenstein, Jedi Knight II and Jedi Academy.
      Additional changes will be needed in iortcw and openjk to put this
      into effect.

 -- Simon McVittie <smcv@debian.org>  Wed, 28 Jun 2023 11:45:35 +0100

game-data-packager (74) unstable; urgency=medium

  * New games:
    - Serious Sam 1 and 2 (Closes: #817941) [Sébastien Noel]
  * New versions:
    - Loom: add French version [Sébastien Noel]
    - Mortville Manor: add German version "Der Landsitz von Mortville"
      [adetiste]
  * Bug fixes:
    - On Debian, use dsda-doom in preference to prboom-plus [smcv]
    - Fix the invalid AppArmor profile for Quake 4, avoiding a kernel
      bug on Linux 6.3 and warnings on older kernels (see #1038945) [smcv]
  * Internal changes:
    - Silence some Python deprecation and resource warnings [adetiste]

 -- Simon McVittie <smcv@debian.org>  Fri, 23 Jun 2023 16:53:14 +0100

game-data-packager (73) unstable; urgency=medium

  * New features:
    - Add a --force-install option similar to apt-get --assume-yes.
      This is mainly for regression testing, but could potentially be
      useful for non-interactive use. [smcv]
    - Move --demo to be a top-level option so it can be used with any
      game. For games with no demo or shareware version, it is now allowed
      but has no effect. [smcv]
  * Bug fixes:
    - Doom 1: Update downloadable archive for Sigil [smcv]
    - Doom 1: Avoid false-positive warnings about unexpected versions
      of files for Sigil [smcv]
    - Return to Castle Wolfenstein: allow autoexec.cfg to be empty
      (as it is in the Mac CD version) or missing.
      [Adam Robinson, smcv]
    - Fix a crash when an optional package is activated by a file with
      alternatives, for which the Sigil expansion for Doom 1 is probably
      the only example (Closes: #1031651) [smcv]
    - If no specific installation method is set, run apt to implement
      the --install option (Closes: #1031621) [adetiste]
    - CLI: Make --no-search work as intended [smcv]
    - Correct some attribution in the v72 changelog [adetiste]
    - launcher: Exit if unable to prompt whether to run binary-only
      game [smcv]
    - launcher: Show a hint if --debugger=gdb is used.
      That won't work, because it doesn't pass argv through to the actual
      game, and --debugger="gdb --args" is the correct spelling.
      (Closes: #977138) [smcv]
  * Internal changes:
    - Report test failures by exit status as well as TAP [smcv]
  * Debian packaging:
    - Fix name of build-needed restriction for d/tests/integration [smcv]
    - Add a test to verify that we can install packages [smcv]
  * RPM packaging:
    - Merge changes from RPMFusion [adetiste]

 -- Simon McVittie <smcv@debian.org>  Tue, 21 Feb 2023 10:54:57 +0000

game-data-packager (72) unstable; urgency=medium

  * New games:
    - Quadrilateral Cowboy, with 'Humble Indie Bundle' and
      'Steam' distribution variants [James Addison]
      (This was intended to be included in v71, but did not work as
      intended in that version.)
  * New versions:
    - System Shock: Add support for packaging from the version bundled
      with System Shock: Enhanced Edition on Steam. This requires the
      xorriso package. [Adam Robinson]
  * New features:
    - Add '--version' command line switch [adetiste]
  * Bug fixes:
    - doom: Add support for new DSDA and WOOF Doom engines [adetiste]
    - etqw: Download from Splash Damage's CDN instead of Gentoo mirrors
      (Closes: #1030172) [smcv]
    - rtcw: Drop download URLs for files that are no longer mirrored [smcv]
    - Clean up various other mirror lists [smcv]
  * Debian packaging:
    - Use dh_cruft to clean up leftover files [adetiste]
  * Internal changes:
    - Drop backwards-compatibility with apt < 1.1 [adetiste]
    - Stop depending on distutils, which is deprecated since Python 3.10
      and will be removed from Python 3.12 [smcv]
    - tests: Assert that all games in data/*.yaml were included in the
      build [smcv]
    - tests: Silence some warnings with recent Meson versions [smcv]

 -- Simon McVittie <smcv@debian.org>  Thu, 09 Feb 2023 21:36:36 +0000

game-data-packager (71) unstable; urgency=medium

  * New versions:
    - Baldur's Gate 1: French language [Sébastien Noel]
    - Baldur's Gate 2: French language [Sébastien Noel]
    - Blade Runner: French language [Sébastien Noel]
    - Planescape Torment: French language [Sébastien Noel]
  * Bug fixes:
    - Baldur's Gate 2: Make baldur.ini optional [Sébastien Noel]
    - Broken Sword 1, Broken Sword 2, Longest Journey, Myst:
      Fix upgrade path when repacking an old installed package from
      before we had multilingual support [smcv]
    - Quake 2: Fix expansion version numbering [Sébastien Noel]
  * Internal changes:
    - Baldur's Gate 1: Lower-case filenames of non-English documentation
      [adetiste]

 -- Simon McVittie <smcv@debian.org>  Wed, 25 Jan 2023 12:34:37 +0000

game-data-packager (70) unstable; urgency=medium

  * New games:
    - Duke Nukem 1 [adetiste]
    - Fascination [adetiste]
    - Heroes of Might and Magic II [Anatoliy Gunya]
  * New versions:
    - Commander Keen series: GOG version [Adam Robinson]
    - Full Throttle: French version [Olivier Schwander]
    - Master of Orion: Steam URL [Adam Robinson]
    - Phantasmagoria 2: French version [Sébastien Noel]
    - Quake 2: Update quake2-reckoning-data (xatrix) to 2.11 and
      quake2-groundzero-data (rogue) to 2.10, corresponding to
      Yamagi Quake II version 8.20 [smcv]
    - Ultima IV: GOG URL [Adam Robinson]
    - Unreal Tournament (1999): update to version 469c
      [Sébastien Noel, smcv]
    - Unreal Tournament (1999): Remove workaround for CVE-2004-0608
      in new installations (it was fixed in v469) [smcv]
  * Bug fixes:
    - Doom 2 Master Levels: Fix TryExec location [Sébastien Noel]
    - Enemy Territory: Quake Wars: Fix installation path for Korean
      language [Anatoliy Gunya]
    - Heroes of Might and Magic 3: Mark core.zip as optional [adetiste]
    - Quake 4: Add missing i386 library dependencies [smcv]
    - Spear of Destiny: Use smcv's mirror [adetiste]
    - Unreal: Fix German, French, Italian and Spanish localization packages
      [Anatoliy Gunya]
    - all id Software games: Drop ftp mirrors that no longer work
      (Closes: #968361) [Anatoliy Gunya]
    - all Steam games: Find more Steam locations [adetiste]
    - Output Lintian overrides in a canonicalized order [smcv]
    - Fix \u00a9 appearing unescaped in copyright files [smcv]
    - build: Increase timeout for pyflakes [adetiste]
  * Internal changes:
    - Documentation: Recommend using 'meson setup' subcommand [James Addison]
    - Doom series: Fix ability to find icons when run uninstalled [smcv]
    - Full Throttle: Change installation path for English version to allow
      for other languages [Olivier Schwander]
    - Migrate GUI launchers from GTK 3 to GTK 4 [Sébastien Noel]
    - Better support for games with proprietary binaries available for
      more than one architecture [smcv]
    - Remove support for popcon.ubuntu.com which is no longer operational
      [adetiste]
  * Debian packaging:
    - Suggest pkexec, to install the generated package [adetiste]
    - Don't use dh_missing --fail-missing, it is now the default [adetiste]
    - Silence some Lintian false-positives [adetiste, smcv]
    - Clean up obsolete alternative dependencies [adetiste]
    - Remove obsolete maintscript entries [adetiste, smcv]
    - Build-Depend on dbus-daemon instead of dbus [smcv]
    - Standards-Version: 4.6.2 (no changes required) [smcv]
    - Remove version constraints unnecessary since Debian 10 [smcv]
    - *-server: Drop unnecessary lsb-base dependency.
      In Debian 12 this is provided by the Essential sysvinit-utils package.
      In older releases, it was unnecessary when booting with systemd, and
      pulled in as a dependency by sysvinit-based init systems that used our
      LSB init script. [smcv]
  * RPM packaging:
    - Merge changes from RPMFusion [adetiste]

 -- Simon McVittie <smcv@debian.org>  Mon, 09 Jan 2023 20:43:11 +0000

game-data-packager (69) unstable; urgency=medium

  * New games:
    - King's Quest 1 VGA [Adam Robinson]
    - Space Quest 1 VGA [Adam Robinson]
    - Gabriel Knight 1 & 2 [Adam Robinson]
    - Phantasmagoria 1 & 2 [Adam Robinson]
    - Ultima IV [adetiste]
    - The Griffon Legend (freeware) [adetiste]
    - Operation Stealth [adetiste]
    - Master Of Orion [adetiste]
    - Gemini Rue [Dennis Menschel]
    - The Blackwell Legacy [Dennis Menschel]
    - Blackwell Unbound [Dennis Menschel]
    - The Blackwell Convergence [Dennis Menschel]
    - The Blackwell Deception [Dennis Menschel]
    - The Blackwell Epiphany [Dennis Menschel]
    - Resonance [Dennis Menschel]
    - Primordia [Dennis Menschel]
    - Shardlight [Dennis Menschel]
    - Technobabylon [Dennis Menschel]
    - The Shivah [Dennis Menschel]
    - A Golden Wake [Dennis Menschel]
    - Kathy Rain [Dennis Menschel]
    - Catacomb: Abyss [adetiste]
    - Little Big Adventure [Dennis Menschel]
    - Torin's Passage [Dennis Menschel]
    - Lighthouse: The Dark Being:
      - German version [Dennis Menschel]
      - French version [adetiste]
    - The Journeyman Project: Pegasus Prime [Dennis Menschel]
    - The Journeyman Project 2: Buried in Time [Dennis Menschel]
    - Starship Titanic [Dennis Menschel]
    - The Longest Journey:
      - English version [Dennis Menschel]
      - German version [Dennis Menschel]
  * New versions:
    - King's Quest Series: Add Steam IDs [Adam Robinson]
    - Police Quest Series: Add Steam IDs [Adam Robinson]
    - Space Quest Series: Add Steam IDs [Adam Robinson]
    - Quest for Glory Series: Add Steam IDs [Adam Robinson]
    - Return To Zork: support v1.1 and v1.2 [adetiste]
    - Return To Zork: new GOG.com archive [Patrick Menschel]
    - Eye of the Beholder: Spanish version
      (this requires current ScummVM >= 2.2.0) [adetiste]
    - Blade Runner English DVD release, W.I.P. [adetiste]
    - I Have No Mouth and I Must Scream: update GOG versions [skitt]
    - The 7th Guest: update GOG version [skitt]
    - Rise of the Triad: update GOG version [skitt]
    - The Secret of Monkey Island: German version 1.1 [Dennis Menschel]
    - Monkey Island 2: LeChuck's Revenge: alternative German version 1.0
      [Dennis Menschel]
    - Loom: German version 1.2 [Dennis Menschel]
    - Indiana Jones and the Last Crusade: German version 1.02
      [Dennis Menschel]
    - Zak McKracken and the Alien Mindbenders: German version
      [Dennis Menschel]
    - Broken Sword 1: German version [Dennis Menschel]
    - Broken Sword 1: GOG.com archive [Dennis Menschel]
    - Broken Sword 2: German version [Dennis Menschel]
    - Myst: Masterpiece Edition: German version [Dennis Menschel]
    - Leisure Suit Larry 7: German version [Dennis Menschel]
    - Flight of the Amazon Queen: all non-English versions [adetiste]
      (Closes: #783925)
    - Unreal Tournament (1999): update to patch 469b [Sébastien Noel]
  * Internal changes:
    - Switch build system to Meson [smcv]
    - Support multiple Steam paths [Adam Robinson]
    - Move ResidualVM games (Grim Fandango, Myst 3) to ScummVM [adetiste]
    - Improve support for crispy-doom engine [Sébastien Noel]

 -- Simon McVittie <smcv@debian.org>  Mon, 14 Mar 2022 11:01:46 +0000

game-data-packager (68) unstable; urgency=medium

  * New games:
    - Commander Keen 1, 2, 3 & Keen Dreams [adetiste] (Closes: #786501)
  * New versions:
    - Heretic: GOG.com archive [Hans Joachim Desserud] (Closes: #990767)
    - Nippon Safes Inc. is now freeware, add download url. [adetiste]
    - Curse of Monkey Island: add Steam and GOG IDs [Dmitry Baryshkov]
    - Update quake2-reckoning-data (xatrix) to 2.09 and
      quake2-groundzero-data (rogue) to 2.08, corresponding to
      Yamagi Quake II version 8.00 [smcv]
  * Bug fixes:
    - Remove dead url to GOG.com Mix page [adetiste] (Closes: #963026)
    - Fix Steam mode compatibility with Python 3.9 [Adam Robinson]
  * Internal changes:
    - Use debhelper-compat 13 [adetiste]
    - d/control: Relax Python build-dependencies to :any [smcv]
  * Remove unnecessary Lintian override
  * Standards-Version: 4.6.0 (no changes required)

 -- Simon McVittie <smcv@debian.org>  Tue, 05 Oct 2021 01:01:21 +0100

game-data-packager (67) unstable; urgency=medium

  * New games:
    - Blade Runner (GOG version) [skitt]
  * Internal changes:
    - quake3: Add pre-exported PNG versions of XCF icons to source code.
      xcftools is unmaintained and has security issues, so it is not
      suitable for stable Debian releases. (Closes: #982502) [smcv]

 -- Simon McVittie <smcv@debian.org>  Thu, 11 Feb 2021 08:32:26 +0000

game-data-packager (66) unstable; urgency=medium

  * New games:
    - Myst 2: Riven (Closes: #960850)
      [Frodo Looijaard, Ryan Armstrong]
    - Myst 3: Exile (Closes: #960851) [Frodo Looijaard]
  * New versions:
    - EcoQuest 1: CD-ROM version [Adam Robinson]
    - Hoyle's Official Book of Games, Volume 3:
      add VGA version [Adam Robinson]
    - Jedi Knight II: new GOG.com archive [Jan Braun]
    - Myst: Ubisoft 10th Anniversary DVD release [Ryan Armstrong]
      this also fix ScummVM gameid 'myst-win'->'myst' (Closes: #959970)
  * Bug fixes:
    - Hoyle's Official Book of Games: add ScummVM gameid so launchers work
      [Adam Robinson]
    - Hoyle's Official Book of Games, Volume 1:
      don't package a configuration file containing the player's name
      [Adam Robinson]
    - doom_common: Defer warning about missing weak dependencies
      until use (Closes: #962393) [smcv]
  * Internal changes:
    - Update AppArmor profiles to use abstractions from 2.13.x.
      A suitable version is available in Debian 10 and Ubuntu 19.10.
      [smcv]
    - Update Lintian overrides [smcv]
    - Standards-Version: 4.5.1 (no changes required) [smcv]

 -- Simon McVittie <smcv@debian.org>  Fri, 18 Dec 2020 17:26:36 +0000

game-data-packager (65) unstable; urgency=medium

  * New games:
    - Quest for Glory 4 (!12) [Chris Cromer]
  * New versions:
    - Doom 1: Sigil v1.2 and v1.21 (!3) [fabian]
    - Descent 2: Vertigo Series expansion (!8) [Ryan Armstrong]
    - The Dig: new GOG archives (!9) [Dmitry Eremin-Solenikov]
    - Simon the Sorcerer 1 and 2: new GOG archives (!11)
      [Dmitry Eremin-Solenikov]
    - Zak McKracken and the Alien Mindbenders: new GOG archive (!10)
      [Dmitry Eremin-Solenikov]
    - Quest for Glory 1 to 3: new GOG archives (!15) [Chris Cromer]
    - King's Quest 1 to 7: new GOG archives (!17) [Chris Cromer]
    - Space Quest 1 to 6: new GOG archives (!13) [Chris Cromer]
    - Police Quest 1 to 4: new GOG archives (!14) [Chris Cromer]
  * Bug fixes:
    - Doom games: Extract icons from WAD files using omgifol and PIL
      (!3) [fabian]
    - Doom 1: Attempt to properly split up the four available Sigil PWADs
      (!2) [fabian]
    - Spear of Destiny: Remove obsolete mirrors [adetiste]
  * Internal changes:
    - Declare compliance with Debian Policy 4.5.0 [smcv]
    - Build with Inkscape 1.0 (Closes: #959772) [adetiste]
    - Trim extraneous empty line from changelog [adetiste]
    - adding_a_game: Document the special handling of '?' [smcv]

 -- Simon McVittie <smcv@debian.org>  Tue, 12 May 2020 09:14:16 +0100

game-data-packager (64) unstable; urgency=medium

  * New games:
    - system-shock: add the CD-ROM version of System Shock [skitt]
  * New languages and versions:
    - Update quake2-reckoning-data (xatrix) to 2.07 and
      quake2-groundzero-data (rogue) to 2.06, corresponding to
      yamagi-quake2 7.41 [smcv]
    - Doom 1: SIGIL, brand new map by Romero [adetiste]
    - Compet-N: add Hell Revealed II and Scythe [fabian]
    - Jazz Jackrabbit: add support for original CD release by splitting
      Holiday Hare '95 into a separate package [Ryan Armstrong]
    - Morrowind: add support for original CD release [Ryan Armstrong]
  * Bug fixes:
    - Compet-N: list the included levels [fabian]
    - Day of the Tentacle: install monster.sof as monster.sof,
      not as monster.sou [Ryan Armstrong]
    - Doom series: improve .desktop file generation [fabian]
    - Jazz Jackrabbit: recommend openjazz engine [adetiste]
    - Unreal: Stop switching to windowed mode for new installations.
      This is contrary to Games Team policy, but avoids a bug in the
      proprietary game engine that can result in the mouse pointer getting
      stuck in one corner of the window (Closes: #941381) [smcv]
  * Internal changes:
    - AppArmor: Mark Mesa shader cache rules as obsoleted by apparmor 2.13
      [smcv]
    - AppArmor: Rename AppArmor profiles to decouple the name from the
      attachment, as per
      https://lists.ubuntu.com/archives/apparmor/2018-August/011791.html
      [smcv]
    - unreal, ut99 AppArmor profiles: Sync up with quake4 [smcv]
    - Move all AppArmor profiles to ./etc/apparmor.d [smcv]
    - AppArmor: Combine quake4 and quake4smp profiles [smcv]
    - d/salsa-ci.yml: Request standard CI on salsa.debian.org [smcv]
    - Declare compliance with Debian Policy 4.4.1 [smcv]
    - Add pyflakes-3 as a possible name for pyflakes [adetiste]
    - Use debhelper-compat 12 [smcv]

 -- Simon McVittie <smcv@debian.org>  Wed, 11 Dec 2019 09:39:37 +0000

# Older entries have been removed from this changelog.
# To read the complete changelog use `apt changelog game-data-packager`.
